#include "allen.h"
#include "allenop.h"

#include <stdio.h>
#include <stdlib.h>

#define QMAX 128
RELTYPE    llqtab[QMAX][QMAX];
RELTYPE    lhqtab[QMAX][QMAX];
RELTYPE    hlqtab[QMAX][QMAX];
RELTYPE    hhqtab[QMAX][QMAX];
RELTYPE    invtab[MAXSET];
int        valtab[MAXSET];

/* compute quadrant tables */
void initfop()
{
  register RELTYPE r1,r2;
  FILE *htabfile;
  int i;

  for (r1=0; r1 < QMAX; r1++)
    for (r2=0; r2 < QMAX; r2++) {
      llqtab[r1][r2] = composition(r1,r2);
      lhqtab[r1][r2] = composition(r1,(r2<<7));
      hlqtab[r1][r2] = composition((r1<<7),r2);
      hhqtab[r1][r2] = composition((r1<<7),(r2<<7));
    }
  for (r1=0;r1 < MAXSET; r1++) {
    invtab[r1] = inverse(r1);
    valtab[r1] = relvalue(r1);
  }
}

