#define MAXCSP 100
#define RELTYPE short int /* at least 2 bytes! */
#define RELTYPESIZE sizeof(RELTYPE)

#include <stdio.h>
#include <string.h>

/* Coding of Allen's relations */
/* coded as binary, assuming int  16bit or more */
#define REQ 		1
#define RLT 		2
#define RGT		4
#define RD		8
#define RDI		16
#define	RO		32
#define ROI		64
#define	RM		128
#define	RMI		256
#define	RS		512
#define	RSI		1024
#define RF		2048
#define	RFI		4096
#define DALL		8191

/* Number of possible disjunctions (incl. 0) */
#define MAXSET		8192

/* Number of disjunctions in continuous endpoint algebra */
#define CMAXSET		83

/* Number of basic relations */
#define	MAXREL		13





